您尚未登录。

#1 2020-11-21 11:11:51

luqiyihui
会员
注册时间: 2018-03-16
帖子: 18

4.19内核如何安装virtualbox内核

主机是arch
$ uname -a
Linux Archlinux 4.19.107-1-lts419 #1 SMP Tue, 03 Mar 2020 03:13:51 +0000 x86_64 GNU/Linux
因需要安装team,所以想用virtualbox下安装windows。

警告:virtualbox-6.1.16-1 已经为最新 -- 重新安装
警告:virtualbox-host-dkms-6.1.16-1 已经为最新 -- 重新安装
正在解析依赖关系...
正在查找软件包冲突...

软件包 (2) virtualbox-6.1.16-1  virtualbox-host-dkms-6.1.16-1

全部安装大小:  171.00 MiB
净更新大小:    0.00 MiB

:: 进行安装吗? [Y/n]
(2/2) 正在检查密钥环里的密钥                       [----------------------] 100%
(2/2) 正在检查软件包完整性                         [----------------------] 100%
(2/2) 正在加载软件包文件                           [----------------------] 100%
(2/2) 正在检查文件冲突                             [----------------------] 100%
(2/2) 正在检查可用存储空间                         [----------------------] 100%
:: 正在运行事务前钩子函数...
(1/1) Remove upgraded DKMS modules
==> Unable to remove module vboxhost/6.1.16_OSE for kernel 4.19.107-1-lts419: Not found in dkms status output.
:: 正在处理软件包的变化...
(1/2) 正在重新安装 virtualbox-host-dkms            [----------------------] 100%
(2/2) 正在重新安装 virtualbox                      [----------------------] 100%
:: 正在运行事务后钩子函数...
(1/8) Creating system user accounts...
(2/8) Reloading system manager configuration...
(3/8) Reloading device manager configuration...
(4/8) Arming ConditionNeedsUpdate...
(5/8) Install DKMS modules
==> dkms install --no-depmod -m vboxhost -v 6.1.16_OSE -k 4.19.107-1-lts419
Error! Bad return status for module build on kernel: 4.19.107-1-lts419 (x86_64)
Consult /var/lib/dkms/vboxhost/6.1.16_OSE/build/make.log for more information.
==> Warning, `dkms install --no-depmod -m vboxhost -v 6.1.16_OSE -k 4.19.107-1-lts419' returned 10
==> depmod 4.19.107-1-lts419
(6/8) Updating icon theme caches...
(7/8) Updating the desktop file MIME type cache...
(8/8) Updating the MIME type database...

想问下,如何处理dkms,实现对我4.19内核支持,达到正常运行virtualbox的目的

离线

#2 2020-11-21 11:31:04

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,961
个人网站

Re: 4.19内核如何安装virtualbox内核

Consult /var/lib/dkms/vboxhost/6.1.16_OSE/build/make.log for more information.

离线

#3 2020-11-21 11:55:44

luqiyihui
会员
注册时间: 2018-03-16
帖子: 18

Re: 4.19内核如何安装virtualbox内核

依云 说:

Consult /var/lib/dkms/vboxhost/6.1.16_OSE/build/make.log for more information.

DKMS make.log for vboxhost-6.1.16_OSE for kernel 4.19.107-1-lts419 (x86_64)
2020年 11月 21日 星期六 11:13:18 CST
make: 进入目录“/usr/lib/modules/4.19.107-1-lts419/build”
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetflt/linux/VBoxNetFlt-linux.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetadp/linux/VBoxNetAdp-linux.o
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetadp/VBoxNetAdp.o
make[2]: *** [scripts/Makefile.build:303:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetflt/linux/VBoxNetFlt-linux.o] 错误 1
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/linux/SUPDrv-linux.o
make[1]: *** [scripts/Makefile.build:544:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetflt] 错误 2
make[1]: *** 正在等待未完成的任务....
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:304:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetadp/linux/VBoxNetAdp-linux.o] 错误 1
make[2]: *** 正在等待未完成的任务....
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/SUPDrv.o
make[2]: *** [scripts/Makefile.build:303:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/linux/SUPDrv-linux.o] 错误 1
make[2]: *** 正在等待未完成的任务....
make[2]: *** [scripts/Makefile.build:304:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetadp/VBoxNetAdp.o] 错误 1
make[1]: *** [scripts/Makefile.build:544:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxnetadp] 错误 2
  CC [M]  /var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/SUPDrvGip.o
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:303:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/SUPDrv.o] 错误 1
cc1: 错误:incompatible gcc/plugin versions
cc1: 错误:failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:303:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv/SUPDrvGip.o] 错误 1
make[1]: *** [scripts/Makefile.build:544:/var/lib/dkms/vboxhost/6.1.16_OSE/build/vboxdrv] 错误 2
make: *** [Makefile:1522:_module_/var/lib/dkms/vboxhost/6.1.16_OSE/build] 错误 2
make: 离开目录“/usr/lib/modules/4.19.107-1-lts419/build”

离线

#4 2020-11-21 12:18:36

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,961
个人网站

Re: 4.19内核如何安装virtualbox内核

内核使用的 gcc 和你现在安装的版本不一致。你需要想办法让它们一致。

离线

#5 2020-11-21 12:59:29

luqiyihui
会员
注册时间: 2018-03-16
帖子: 18

Re: 4.19内核如何安装virtualbox内核

依云 说:

内核使用的 gcc 和你现在安装的版本不一致。你需要想办法让它们一致。

是不是这样理解:
我用现在已经安装的gcc,把内核重新编译和安装一遍

离线

#6 2020-11-21 13:15:17

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,961
个人网站

Re: 4.19内核如何安装virtualbox内核

luqiyihui 说:
依云 说:

内核使用的 gcc 和你现在安装的版本不一致。你需要想办法让它们一致。

是不是这样理解:
我用现在已经安装的gcc,把内核重新编译和安装一遍

可以。

离线

#7 2020-11-22 10:59:36

luqiyihui
会员
注册时间: 2018-03-16
帖子: 18

Re: 4.19内核如何安装virtualbox内核

依云 说:
luqiyihui 说:
依云 说:

内核使用的 gcc 和你现在安装的版本不一致。你需要想办法让它们一致。

是不是这样理解:
我用现在已经安装的gcc,把内核重新编译和安装一遍

可以。

谢谢,按照上面的方法解决了!

离线

页脚